- [HTTP request](https://developers.google.com/my-business/reference/verifications/rest/v1/locations.verifications/complete.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/verifications/rest/v1/locations.verifications/complete.md.txt#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/verifications/rest/v1/locations.verifications/complete.md.txt#body.request_body)
  - [JSON representation](https://developers.google.com/my-business/reference/verifications/rest/v1/locations.verifications/complete.md.txt#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/my-business/reference/verifications/rest/v1/locations.verifications/complete.md.txt#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/verifications/rest/v1/locations.verifications/complete.md.txt#body.CompleteVerificationResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/my-business/reference/verifications/rest/v1/locations.verifications/complete.md.txt#body.aspect)

Completes a `PENDING` verification.

It is only necessary for non `AUTO` verification methods. `AUTO` verification request is instantly `VERIFIED` upon creation.

### HTTP request

`POST https://mybusinessverifications.googleapis.com/v1/{name=locations/*/verifications/*}:complete`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Resource name of the verification to complete. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "pin": string } ``` |

| Fields ||
|---|---|
| `pin` | `string` Required. PIN code received by the merchant to complete the verification. |

### Response body

Response message for Verifications.CompleteVerificationAction.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "verification": { object (`Verification`) } } ``` |

| Fields ||
|---|---|
| `verification` | ``object (`Verification`)`` The completed verification. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).